
/* -------------------------------------------------
* Copyright 2005 Machineworks Northwest - All Rights reserved
* Programmer(s):  Seth A. Robinson (seth@rtsoft.com): 
* Created 4/17/2005 8:29:08 AM
*/


#pragma once

#include "main.h"
#include "Entity.h"

class EntLightBeam: public Entity
{
    
public:
    EntLightBeam();
    virtual ~EntLightBeam();

    bool Init();
    
    virtual void  Render();
    virtual void  Update(float step);
    virtual void OnMessage(Message &msg);
    
private: 
  
    CL_Surface *m_Image; 
 };
